# Lua::registerCallback

(No version information available, might only be in Git)

Lua::registerCallback — Registra una función PHP en Lua

### Descripción

public Lua::registerCallback(string `$name`, callable `$function`): mixed

Registra una función PHP en Lua con el nombre de función que se indique en "$name"

### Parámetros

`name`

`function`

  Una función de llamada de retorno válida PHP

### Valores devueltos

Devuelve $this, `null` en caso que los argumentos sean erróneos o `false` para cualquier otro tipo de error.

### Ejemplos

Ejemplo #1 Ejemplo de Lua::registerCallback()

`<?php
$lua = new Lua();
$lua->registerCallback("echo", "var_dump");
$lua->eval(<<<CODE
echo({1, 2, 3});
CODE
);
?>`

El resultado del ejemplo sería:

    array(3) {
      [1]=>
      float(1)
      [2]=>
      float(2)
      [3]=>
      float(3)
    }